Get a webhook by id
GET
/webhooks/{id}
const url = 'https://api.vendorica.com/v1/webhooks/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vendorica.com/v1/webhooks/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Success
Media typeapplication/json
object
success
required
boolean
data
required
object
id
required
string format: uuid
organizationId
required
string format: uuid
name
required
string
trigger
required
string
endpoint
required
string format: uri
status
required
string
apiVersion
required
string
customHeaders
required
Array<object>
object
name
required
string
valueHint
required
string
signing
required
object
enabled
required
boolean
secretHint
required
string | null
consecutiveFailures
required
integer
lastSuccessAt
required
string | null format: date-time
lastFailureAt
required
string | null format: date-time
disabledReason
required
string | null
createdAt
required
string | null format: date-time
updatedAt
required
string | null format: date-time
timestamp
required
string format: date-time
requestId
string
message
string
Example
{ "success": true, "data": { "id": "f5005b73-208f-42e3-829b-56a01e89642c", "organizationId": "d532b472-0ed2-4c50-87a9-66a99caca257", "name": "string", "trigger": "string", "endpoint": "https://example.com", "status": "active", "apiVersion": "string", "customHeaders": [ { "name": "string", "valueHint": "string" } ], "signing": { "enabled": true, "secretHint": "string" }, "consecutiveFailures": 1, "lastSuccessAt": "2026-08-19T09:41:12.004Z", "lastFailureAt": "2026-08-19T09:41:12.004Z", "disabledReason": "string", "createdAt": "2026-08-19T09:41:12.004Z", "updatedAt": "2026-08-19T09:41:12.004Z" }, "timestamp": "2026-08-19T09:41:12.004Z", "requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H", "message": "string"}Validation error
Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{ "success": false, "error": "Bad request", "code": "BAD_REQUEST", "timestamp": "2026-08-19T09:41:12.004Z", "requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"}Unauthorized
Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{ "success": false, "error": "Unauthorized", "code": "UNAUTHORIZED", "timestamp": "2026-08-19T09:41:12.004Z", "requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"}Forbidden — missing scope
Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{ "success": false, "error": "Forbidden", "code": "FORBIDDEN", "timestamp": "2026-08-19T09:41:12.004Z", "requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"}Not found
Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{ "success": false, "error": "Resource not found", "code": "NOT_FOUND", "timestamp": "2026-08-19T09:41:12.004Z", "requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"}Rate limit exceeded
Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{ "success": false, "error": "Too many requests", "code": "TOO_MANY_REQUESTS", "timestamp": "2026-08-19T09:41:12.004Z", "requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"}